Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.EventPriority

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.EventPriority

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.EventPriority

extends java.lang.Enum
implements QtEnumerator

This enum can be used to specify event priorities. Note that these values are provided purely for convenience, since event priorities can be any value between `INT_MAX` and `INT_MIN`, inclusive. For example, you can define custom priorities as being relative to each other:

        enum CustomEventPriority
        {
            // An important event
            ImportantEventPriority = Qt::HighEventPriority,

            // A more important event
            MoreImportantEventPriority = ImportantEventPriority + 1,

            // A critical event
            CriticalEventPriority = 100 * MoreImportantEventPriority,

            // Not that important
            StatusEventPriority = Qt::LowEventPriority,

            // These are less important than Status events
            IdleProcessingDoneEventPriority = StatusEventPriority - 1
        };

See also:
  `QCoreApplication::postEvent()`.

See Also:
  Serialized Form

Field Summary
`static Qt.EventPriority` | `HighEventPriority` Events with this priority are sent before events with `NormalEventPriority` or `LowEventPriority` .
`static Qt.EventPriority` | `LowEventPriority` Events with this priority are sent after events with `HighEventPriority` or `NormalEventPriority` .
`static Qt.EventPriority` | `NormalEventPriority` Events with this priority are sent after events with `HighEventPriority` , but before events with `LowEventPriority` .

Method Summary
`static Qt.EventPriority` | `resolve(int value)` Returns the EventPriority constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.EventPriority` | `valueOf(java.lang.String name)`
`static Qt.EventPriority[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HighEventPriority

    public static final Qt.EventPriority HighEventPriority

  Events with this priority are sent before events with `NormalEventPriority` or `LowEventPriority` .

### NormalEventPriority

    public static final Qt.EventPriority NormalEventPriority

  Events with this priority are sent after events with `HighEventPriority` , but before events with `LowEventPriority` .

### LowEventPriority

    public static final Qt.EventPriority LowEventPriority

  Events with this priority are sent after events with `HighEventPriority` or `NormalEventPriority` .

Method Detail

### values

    public static Qt.EventPriority[] values()

### valueOf

    public static Qt.EventPriority valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.EventPriority resolve(int value)

  Returns the EventPriority constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD